{% extends "base.html" %}
{% block content %}
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header card-header-info">
                    <h4 class="card-title"><b>Cadastro de desaparecido</b></h4>
                    <p class="card-title"><b>Todos os campos que possuem (*) são requeridos para o cadastro</b></p>
                </div>
                <div class="card-body">
                    <form action="{{ url_for('missing_controller.register', user_id= _id) }}" method="post"
                          enctype="multipart/form-data">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <div class="btn btn-info">
                                        <label for="input-file" class="button" style="color: white"> <i
                                                class="material-icons">camera_alt</i>
                                            Foto do desaparecido</label>
                                        <input type="file" required="required" id="input-file" name="file" value=""/>
                                        <span id='file-name'></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Nome *</label>
                                    <input type="text" required="required" name="name" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Apelido</label>
                                    <input type="text" name="nickname" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Nascimento *</label>
                                    <input type="text" required="required" data-mask="00/00/0000"
                                           data-mask-selectonfocus="true" name="birth_date" class="form-control date">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Dia do desaparecimento *</label>
                                    <input type="text" required="required" data-mask="00/00/0000"
                                           data-mask-selectonfocus="true" name="date_of_disappearance"
                                           class="form-control date">
                                </div>
                            </div>
                            <div class="col-md-1">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Altura</label>
                                    <input type="text" data-mask="0.00"
                                           data-mask-selectonfocus="true" name="height"
                                           class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Olhos *</label>
                                    <select name="eyes" class="form-control">
                                        <option value="green">Verde</option>
                                        <option value="blue">Azul</option>
                                        <option value="brown">Castanho</option>
                                        <option value="black">Pretos</option>
                                        <option value="dark_brown">Castanho Escuro</option>
                                    </select>
                                    <!--<input type="text" name="nickname" class="form-control">-->
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Cabelo *</label>
                                    <select name="hair" class="form-control">
                                        <option value="black">Preto</option>
                                        <option value="brown">Castanho</option>
                                        <option value="redhead">Ruivo</option>
                                        <option value="blond">Loiro</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Pele *</label>
                                    <select name="skin" class="form-control">
                                        <option value="white">Branco</option>
                                        <option value="black">Negro</option>
                                        <option value="brown">Pardo</option>
                                        <option value="yellow">Amarelo</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Sexo *</label>
                                    <select name="gender" class="form-control">
                                        <option value="male">Masculino</option>
                                        <option value="female">Feminino</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Roupa que vestia</label>
                                    <textarea name="clothes" class="form-control" maxlength="80" rows="2"></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="bmd-label-floating">BO</label>
                                    <input type="text" name="event_report"
                                           class="form-control">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Tatuagem</label>
                                    <input type="text" name="tattoo" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Cicatriz</label>
                                    <input type="scar" name="scar" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12" style="margin-top: 30px">
                                <input type="hidden" name="status" value="disappeared"/>
                                <h3 style="color: darkred">Local do desaparecimento</h3>
                            </div>
                            <div class="col-md-12">
                                {% include "mapbox.html" %}
                            </div>
                        </div>
                        <input type="hidden" name="user_id" value="{{ _id }}" />
                        <button type="submit" class="btn btn-info pull-right">Enviar</button>
                        <div class="clearfix"></div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <script>
        document.addEventListener("DOMContentLoaded", function () {
            document.getElementById("input-file").required = true;

            var $input = document.getElementById('input-file'),
                $fileName = document.getElementById('file-name');

            $input.addEventListener('change', function () {
                $fileName.textContent = this.value + ' tamanho ' + this.files[0].size / 1024 / 1024 + "MB";
            });

            $('.date').blur(function () {
                if (this.value.trim() != '') {
                    let val = this.value.split('/');
                    let date = new Date(val[2], parseInt(val[1]) - 1, val[0]);
                    let today = new Date();
                    if (date > today) {
                        demo.showNotification('top', 'right', 'A data que foi informada está acima da data de hoje', 2);
                        this.value = "";
                        this.focus();
                    }
                }
            });
        });
    </script>
{% endblock %}